=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

-include /usr/share/dpkg/buildtools.mk
export CC

DOCDIR = usr/share/doc/ng-common

configure_environment = \
	ac_cv_path_cp_cmd=/bin/cp \
	ac_cv_path_ls_cmd=/bin/ls \
	ac_cv_path_mv_cmd=/bin/mv \
	ac_cv_path_rmdir_cmd=/bin/rmdir \
	$(NULL)

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build-arch:
	-mv -f config.h config.h.orig

	# vanilla ng-latin
	cp -p debian/config-latin.h config.h
	$(configure_environment) ./configure
	$(MAKE)
	mv ng ng-latin
	$(MAKE) confclean

	# ng-cjk
	cp -p debian/config-cjk.h config.h
	$(configure_environment) ./configure
	$(MAKE)
	mv ng ng-cjk
	$(MAKE) confclean

	# ng-cjk-canna
	cp -p debian/config-cjk-canna.h config.h
	$(configure_environment) ./configure --enable-canna
	$(MAKE) CANNADEF="-DCANNA" CANNALIB="-lcanna"
	cp -p ng ng-cjk-canna

	-mv -f config.h.orig config.h

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) confclean
	rm -f ng-latin ng-cjk ng-cjk-canna ng
	dh_auto_clean

override_dh_auto_install:

override_dh_link:
	rm -rf $(CURDIR)/debian/ng-cjk/usr/share/doc/ng-cjk
	rm -rf $(CURDIR)/debian/ng-cjk-canna/usr/share/doc/ng-cjk-canna
	rm -rf $(CURDIR)/debian/ng-latin/usr/share/doc/ng-latin
	dh_link
