=== debian/tests/control ===
Test-Command: ng-latin -v | grep -A 1 version
Restrictions: superficial
