## ng ipacct-20061223

=== Makefile ===
#
# $Id: Makefile,v 1.2 2004/12/01 11:16:41 romanp Exp $
#

SUBDIR=	ng_ipacct \
	ipacctctl \
	man_ru

.include <bsd.subdir.mk>
