=== man_ru/Makefile ===
PREFIX?=	/usr/local
MANDIR=		${PREFIX}/man/ru.KOI8-R/man
MAN8=		ipacctctl.8

beforeinstall:
	mkdir -p ${MANDIR}8

.include <bsd.prog.mk>
