=== ng_ipacct/Makefile ===
# $Id: Makefile,v 1.4 2005/07/31 07:58:18 romanp Exp $

KMOD=		ng_ipacct
SRCS=		ng_ipacct.c opt_netgraph.h

CFLAGS+=	-g -I${.CURDIR}

.include <bsd.kmod.mk>
